## fdk-aac 0.1.1+20130514

=== debian/changelog ===
fdk-aac (0.1.1+20130514-2) unstable; urgency=low

  * Explain autobuild. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Jun 2013 19:06:07 -0500

fdk-aac (0.1.1+20130514-1) unstable; urgency=low

  * Initial upload.
  Closes: #694257

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 06:13:57 -0500

## fdk-aac 2.0.1

=== build.fdk-aac-2.0.1-r0.ar_configured/Makefile ===
# Makefile.in generated by automake 1.16.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






VPATH = ../git
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/fdk-aac
pkgincludedir = $(includedir)/fdk-aac
pkglibdir = $(libdir)/fdk-aac
pkglibexecdir = $(libexecdir)/fdk-aac
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = aarch64-poky-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(fdk_aacinclude_HEADERS) \
	$(am__noinst_HEADERS_DIST) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = fdk-aac.pc
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libdir)" \
	"$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(fdk_aacincludedir)"
PROGRAMS = $(bin_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
LTLIBRARIES = $(lib_LTLIBRARIES)
libfdk_aac_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am__objects_1 = libAACdec/src/FDK_delay.lo libAACdec/src/aac_ram.lo \
	libAACdec/src/aac_rom.lo libAACdec/src/aacdec_drc.lo \
	libAACdec/src/aacdec_hcr.lo libAACdec/src/aacdec_hcr_bit.lo \
	libAACdec/src/aacdec_hcrs.lo libAACdec/src/aacdec_pns.lo \
	libAACdec/src/aacdec_tns.lo libAACdec/src/aacdecoder.lo \
	libAACdec/src/aacdecoder_lib.lo libAACdec/src/block.lo \
	libAACdec/src/channel.lo libAACdec/src/channelinfo.lo \
	libAACdec/src/conceal.lo libAACdec/src/ldfiltbank.lo \
	libAACdec/src/pulsedata.lo libAACdec/src/rvlc.lo \
	libAACdec/src/rvlcbit.lo libAACdec/src/rvlcconceal.lo \
	libAACdec/src/stereo.lo libAACdec/src/usacdec_ace_d4t64.lo \
	libAACdec/src/usacdec_ace_ltp.lo \
	libAACdec/src/usacdec_acelp.lo libAACdec/src/usacdec_fac.lo \
	libAACdec/src/usacdec_lpc.lo libAACdec/src/usacdec_lpd.lo \
	libAACdec/src/usacdec_rom.lo
am__objects_2 = libAACenc/src/aacEnc_ram.lo \
	libAACenc/src/aacEnc_rom.lo libAACenc/src/aacenc.lo \
	libAACenc/src/aacenc_lib.lo libAACenc/src/aacenc_pns.lo \
	libAACenc/src/aacenc_tns.lo libAACenc/src/adj_thr.lo \
	libAACenc/src/band_nrg.lo libAACenc/src/bandwidth.lo \
	libAACenc/src/bit_cnt.lo libAACenc/src/bitenc.lo \
	libAACenc/src/block_switch.lo libAACenc/src/channel_map.lo \
	libAACenc/src/chaosmeasure.lo libAACenc/src/dyn_bits.lo \
	libAACenc/src/grp_data.lo libAACenc/src/intensity.lo \
	libAACenc/src/line_pe.lo libAACenc/src/metadata_compressor.lo \
	libAACenc/src/metadata_main.lo libAACenc/src/mps_main.lo \
	libAACenc/src/ms_stereo.lo libAACenc/src/noisedet.lo \
	libAACenc/src/pnsparam.lo libAACenc/src/pre_echo_control.lo \
	libAACenc/src/psy_configuration.lo libAACenc/src/psy_main.lo \
	libAACenc/src/qc_main.lo libAACenc/src/quantize.lo \
	libAACenc/src/sf_estim.lo libAACenc/src/spreading.lo \
	libAACenc/src/tonality.lo libAACenc/src/transform.lo
am__objects_3 = libArithCoding/src/ac_arith_coder.lo
am__objects_4 = libDRCdec/src/FDK_drcDecLib.lo \
	libDRCdec/src/drcDec_gainDecoder.lo \
	libDRCdec/src/drcDec_reader.lo libDRCdec/src/drcDec_rom.lo \
	libDRCdec/src/drcDec_selectionProcess.lo \
	libDRCdec/src/drcDec_tools.lo libDRCdec/src/drcGainDec_init.lo \
	libDRCdec/src/drcGainDec_preprocess.lo \
	libDRCdec/src/drcGainDec_process.lo
am__objects_5 = libMpegTPDec/src/tpdec_adif.lo \
	libMpegTPDec/src/tpdec_adts.lo libMpegTPDec/src/tpdec_asc.lo \
	libMpegTPDec/src/tpdec_drm.lo libMpegTPDec/src/tpdec_latm.lo \
	libMpegTPDec/src/tpdec_lib.lo
am__objects_6 = libMpegTPEnc/src/tpenc_adif.lo \
	libMpegTPEnc/src/tpenc_adts.lo libMpegTPEnc/src/tpenc_asc.lo \
	libMpegTPEnc/src/tpenc_latm.lo libMpegTPEnc/src/tpenc_lib.lo
am__objects_7 = libSACdec/src/sac_bitdec.lo \
	libSACdec/src/sac_calcM1andM2.lo libSACdec/src/sac_dec.lo \
	libSACdec/src/sac_dec_conceal.lo libSACdec/src/sac_dec_lib.lo \
	libSACdec/src/sac_process.lo libSACdec/src/sac_qmf.lo \
	libSACdec/src/sac_reshapeBBEnv.lo libSACdec/src/sac_rom.lo \
	libSACdec/src/sac_smoothing.lo libSACdec/src/sac_stp.lo \
	libSACdec/src/sac_tsd.lo
am__objects_8 = libSACenc/src/sacenc_bitstream.lo \
	libSACenc/src/sacenc_delay.lo \
	libSACenc/src/sacenc_dmx_tdom_enh.lo \
	libSACenc/src/sacenc_filter.lo \
	libSACenc/src/sacenc_framewindowing.lo \
	libSACenc/src/sacenc_huff_tab.lo libSACenc/src/sacenc_lib.lo \
	libSACenc/src/sacenc_nlc_enc.lo \
	libSACenc/src/sacenc_onsetdetect.lo \
	libSACenc/src/sacenc_paramextract.lo \
	libSACenc/src/sacenc_staticgain.lo \
	libSACenc/src/sacenc_tree.lo \
	libSACenc/src/sacenc_vectorfunctions.lo
am__objects_9 = libSBRdec/src/HFgen_preFlat.lo \
	libSBRdec/src/env_calc.lo libSBRdec/src/env_dec.lo \
	libSBRdec/src/env_extr.lo libSBRdec/src/hbe.lo \
	libSBRdec/src/huff_dec.lo libSBRdec/src/lpp_tran.lo \
	libSBRdec/src/psbitdec.lo libSBRdec/src/psdec.lo \
	libSBRdec/src/psdec_drm.lo libSBRdec/src/psdecrom_drm.lo \
	libSBRdec/src/pvc_dec.lo libSBRdec/src/sbr_crc.lo \
	libSBRdec/src/sbr_deb.lo libSBRdec/src/sbr_dec.lo \
	libSBRdec/src/sbr_ram.lo libSBRdec/src/sbr_rom.lo \
	libSBRdec/src/sbrdec_drc.lo libSBRdec/src/sbrdec_freq_sca.lo \
	libSBRdec/src/sbrdecoder.lo
am__objects_10 = libSBRenc/src/bit_sbr.lo libSBRenc/src/code_env.lo \
	libSBRenc/src/env_bit.lo libSBRenc/src/env_est.lo \
	libSBRenc/src/fram_gen.lo libSBRenc/src/invf_est.lo \
	libSBRenc/src/mh_det.lo libSBRenc/src/nf_est.lo \
	libSBRenc/src/ps_bitenc.lo libSBRenc/src/ps_encode.lo \
	libSBRenc/src/ps_main.lo libSBRenc/src/resampler.lo \
	libSBRenc/src/sbr_encoder.lo libSBRenc/src/sbr_misc.lo \
	libSBRenc/src/sbrenc_freq_sca.lo libSBRenc/src/sbrenc_ram.lo \
	libSBRenc/src/sbrenc_rom.lo libSBRenc/src/ton_corr.lo \
	libSBRenc/src/tran_det.lo
am__objects_11 = libPCMutils/src/limiter.lo \
	libPCMutils/src/pcm_utils.lo libPCMutils/src/pcmdmx_lib.lo
am__objects_12 = libFDK/src/FDK_bitbuffer.lo libFDK/src/FDK_core.lo \
	libFDK/src/FDK_crc.lo libFDK/src/FDK_decorrelate.lo \
	libFDK/src/FDK_hybrid.lo libFDK/src/FDK_lpc.lo \
	libFDK/src/FDK_matrixCalloc.lo libFDK/src/FDK_qmf_domain.lo \
	libFDK/src/FDK_tools_rom.lo libFDK/src/FDK_trigFcts.lo \
	libFDK/src/autocorr2nd.lo libFDK/src/dct.lo libFDK/src/fft.lo \
	libFDK/src/fft_rad2.lo libFDK/src/fixpoint_math.lo \
	libFDK/src/huff_nodes.lo libFDK/src/mdct.lo \
	libFDK/src/nlc_dec.lo libFDK/src/qmf.lo libFDK/src/scale.lo
am__objects_13 = libSYS/src/genericStds.lo \
	libSYS/src/syslib_channelMapDescr.lo
am_libfdk_aac_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
	$(am__objects_3) $(am__objects_4) $(am__objects_5) \
	$(am__objects_6) $(am__objects_7) $(am__objects_8) \
	$(am__objects_9) $(am__objects_10) $(am__objects_11) \
	$(am__objects_12) $(am__objects_13)
libfdk_aac_la_OBJECTS = $(am_libfdk_aac_la_OBJECTS)
am__aac_enc_SOURCES_DIST = aac-enc.c wavreader.c
#am_aac_enc_OBJECTS = aac-enc.$(OBJEXT) \
#	wavreader.$(OBJEXT)
aac_enc_OBJECTS = $(am_aac_enc_OBJECTS)
#aac_enc_DEPENDENCIES = libfdk-aac.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/aac-enc.Po ./$(DEPDIR)/dummy.Plo \
	./$(DEPDIR)/wavreader.Po libAACdec/src/$(DEPDIR)/FDK_delay.Plo \
	libAACdec/src/$(DEPDIR)/aac_ram.Plo \
	libAACdec/src/$(DEPDIR)/aac_rom.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_drc.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_hcr.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_hcr_bit.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_hcrs.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_pns.Plo \
	libAACdec/src/$(DEPDIR)/aacdec_tns.Plo \
	libAACdec/src/$(DEPDIR)/aacdecoder.Plo \
	libAACdec/src/$(DEPDIR)/aacdecoder_lib.Plo \
	libAACdec/src/$(DEPDIR)/block.Plo \
	libAACdec/src/$(DEPDIR)/channel.Plo \
	libAACdec/src/$(DEPDIR)/channelinfo.Plo \
	libAACdec/src/$(DEPDIR)/conceal.Plo \
	libAACdec/src/$(DEPDIR)/ldfiltbank.Plo \
	libAACdec/src/$(DEPDIR)/pulsedata.Plo \
	libAACdec/src/$(DEPDIR)/rvlc.Plo \

## fdk-aac 0.1.2

=== debian/changelog ===
fdk-aac (0.1.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Add watch file. Thanks to Bart Martens for the great work.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Oct 2013 23:52:35 +0100

fdk-aac (0.1.1+20130514-3) unstable; urgency=low

  * Team upload.
  * Include PDF documentation (Closes: #721532)

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Sep 2013 09:38:37 +0100

=== debian/control ===
Source: fdk-aac
Section: non-free/libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>
Homepage: https://github.com/mstorsjo/fdk-aac
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), dh-autoreconf
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/fdk-aac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/fdk-aac.git;a=summary
XS-Autobuild: yes

Package: libfdk-aac0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Fraunhofer FDK AAC Codec Library - runtime files
 The FDK AAC Codec Library For Android contains an encoder implementation 
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the files needed to run a program compiled using
 The Fraunhofer FDK AAC Codec Library.

Package: libfdk-aac0-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: non-free/debug
Depends:
 libfdk-aac0 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for libfdk-aac0
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the debugging symbols for libfdk-aac0

Package: libfdk-aac-dev
Architecture: any
Multi-Arch: same
Section: non-free/libdevel
Depends:
 libfdk-aac0 (= ${binary:Version}),
 pkg-config,
 ${misc:Depends}
Description: Fraunhofer FDK AAC Codec Library - development files
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains the files needed to compile and statically link
 against the Fraunhofer FDK AAC Codec Library.

Package: aac-enc
Architecture: any
Depends:
  libfdk-aac0 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
Section: non-free/sound
Description: Fraunhofer FDK AAC Codec Library - frontend binary
 The FDK AAC Codec Library For Android contains an encoder implementation
 of the Advanced Audio Coding (AAC) audio codec.
 .
 This package contains a frontend binary capable of encoding WAVE files
 using the Fraunhofer FDK AAC Codec Library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-example 

override_dh_strip:
	dh_strip --dbg-package=libfdk-aac0-dbg

## fdk-aac 0.1.3

=== debian/changelog ===
fdk-aac (0.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Jul 2014 11:18:31 +0100

## fdk-aac 0.1.3%2B20140816

=== debian/changelog ===
fdk-aac (0.1.3+20140816-2) unstable; urgency=medium

  * Fix FTBFS for real this time:
  * Added missing powerpc ASM files.
  * Add missing #defines for sparc and s390x.
  * Add correct CPPFLAGS for mips.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 17 Aug 2014 09:37:14 -0500

fdk-aac (0.1.3+20140816-1) unstable; urgency=medium

  * Update to latest upstream.
  * Fix FTBFS on mips, sparc and s390x.
  * Bump standards version to 3.9.5

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 19:42:04 -0500

## fdk-aac 0.1.3+20140816

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/fdk-aac.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/fdk-aac.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+ifneq (,$(findstring mips,$(DEB_HOST_ARCH)))
+	CPPFLAGS+= -mips32r2
+	export CPPFLAGS
+endif
 
 %:
 	dh $@ --parallel --with autoreconf

## fdk-aac 0.1.4

=== debian/changelog ===
fdk-aac (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2016 20:18:29 +0200

fdk-aac (0.1.4-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * New upstream release. (Closes: #784908)
  * debian/patches:
    - Refresh add_more_arch.
    - Drop missing_ppc_files. (Closes: #771924)

  [ Sebastian Ramacher ]
  * debian/patches/gcc6_c++98: Upstream patch to fix FTBFS with GCC 6 (Closes:
    #836933)
  * Bump SONAME: libfdk-aac0 -> libfdk-aac1.
  * debian/{control,rules}: Switch to automatic dbgsym packages.
  * debian/control: Bump Standards-Version.

  [ Daniel Knezevic ]
  * debian/rules: Remove -march=mips32r2 on mips* platforms. (Closes: #838364)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Sep 2016 17:18:45 +0200

## fdk-aac 0.1.5

=== debian/changelog ===
fdk-aac (0.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Removed patches obsoleted by new upstream release.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 12:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dh-autoreconf
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/fdk-aac.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/fdk-aac.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fdk-aac.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/fdk-aac.git
 XS-Autobuild: yes
 
-Package: libfdk-aac0
+Package: libfdk-aac1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -24,26 +24,12 @@
  This package contains the files needed to run a program compiled using
  The Fraunhofer FDK AAC Codec Library.
 
-Package: libfdk-aac0-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: non-free/debug
-Depends:
- libfdk-aac0 (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for libfdk-aac0
- The FDK AAC Codec Library For Android contains an encoder implementation
- of the Advanced Audio Coding (AAC) audio codec.
- .
- This package contains the debugging symbols for libfdk-aac0
-
 Package: libfdk-aac-dev
 Architecture: any
 Multi-Arch: same
 Section: non-free/libdevel
 Depends:
- libfdk-aac0 (= ${binary:Version}),
+ libfdk-aac1 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends}
 Description: Fraunhofer FDK AAC Codec Library - development files
@@ -56,7 +42,7 @@
 Package: aac-enc
 Architecture: any
 Depends:
-  libfdk-aac0 (= ${binary:Version}),
+  libfdk-aac1 (= ${binary:Version}),
   ${shlibs:Depends},
   ${misc:Depends}
 Section: non-free/sound

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-example

=== debian/watch ===
version=3
https://github.com/mstorsjo/fdk-aac/releases \
.*[^n]/(?:|v|r|REL_|rel-|fdk-aac(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## fdk-aac 0.1.6

=== debian/changelog ===
fdk-aac (0.1.6-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces

  [ Sebastian Ramacher ]
  * New upstream release.
  * debhelper/: Bump debhelper compat level to 11.
  * debian/control:
    - Bump Standards-Version.
    - Remove old Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 May 2018 13:47:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: fdk-aac
 Section: non-free/libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/fdk-aac.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/fdk-aac.git
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11)
+Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes
 
 Package: libfdk-aac1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Fraunhofer FDK AAC Codec Library - runtime files
- The FDK AAC Codec Library For Android contains an encoder implementation 
+ The FDK AAC Codec Library For Android contains an encoder implementation
  of the Advanced Audio Coding (AAC) audio codec.
  .
  This package contains the files needed to run a program compiled using
@@ -51,4 +50,4 @@
  of the Advanced Audio Coding (AAC) audio codec.
  .
  This package contains a frontend binary capable of encoding WAVE files
- using the Fraunhofer FDK AAC Codec Library. 
+ using the Fraunhofer FDK AAC Codec Library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-example

## fdk-aac 2.0.1

=== debian/changelog ===
fdk-aac (2.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Fabian Greffrath ]
  * New upstream version 2.0.1 (Closes: #915386).
  * Bump SONAME to libfdk-aac2.
  * Refresh patches.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.5.0
  * Install the static library archive in the libfdk-aac-dev package
    (Closes: #865710).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 18 Mar 2020 20:53:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes
+Rules-Requires-Root: no
 
-Package: libfdk-aac1
+Package: libfdk-aac2
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -28,7 +29,7 @@
 Multi-Arch: same
 Section: non-free/libdevel
 Depends:
- libfdk-aac1 (= ${binary:Version}),
+ libfdk-aac2 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends}
 Description: Fraunhofer FDK AAC Codec Library - development files
@@ -41,7 +42,6 @@
 Package: aac-enc
 Architecture: any
 Depends:
-  libfdk-aac1 (= ${binary:Version}),
   ${shlibs:Depends},
   ${misc:Depends}
 Section: non-free/sound

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined
 
 %:
 	dh $@

## fdk-aac 2.0.2

=== CMakeLists.txt ===
# # CMake project for fdk-aac
#
# ## Basic usage
#
# 1. Download and install CMake >= 3.10 (CMake >= 3.15 is recommended)
# 2. Clone fdk-aac repository
# 3. In fdk-aac directory create and go to `build` subdirectory:
#
#    mkdir build
#    cd build
#
# 4. Run cmake to configure project with desired build type (Release|Debug):
#
#    cmake .. -DCMAKE_BUILD_TYPE=Release
#
#    Note CMake configuration without CMAKE_BUILD_TYPE option will not set build
#    type to some default and it is most likely is not what you want.
#
#    If you want to build static (default is shared library), add BUILD_SHARED_LIBS=OFF option:
#
#    #    cmake .. -DBUILD_SHARED_LIBS=OFF
#
#    You can combine options as well:
#
#    cmake .. -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=OFF
#
# 5. Run cmake to build project:
#
#    cmake --build . -c Release

cmake_minimum_required(VERSION 3.5.1)

# Policies

## Enables CMAKE_MSVC_RUNTIME_LIBRARY option support for CMake >= 3.15
## if you want to use a MSVC multi-threaded statically-linked runtime library
## If you enable it, CMake will build fdk-acc.dll without external dependencies.
##
## Example usage:
##
## cmake .. -DCMAKE_MSVC_RUNTIME_LIBRARY="MultiThreaded$<$<CONFIG:Debug>:Debug>
if(POLICY CMP0091)
  cmake_policy(SET CMP0091 NEW)
endif()

project(fdk-aac VERSION 2.0.2)

# Includes

include(CheckFunctionExists)
include(CheckLibraryExists)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

if(CMAKE_VERSION VERSION_LESS 3.11)
  set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
  set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
  set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
endif()
include(CPack)

# Options

option(BUILD_SHARED_LIBS "Build shared library" ON)
option(BUILD_PROGRAMS "Build aac-enc utility" OFF)
option(FDK_AAC_INSTALL_CMAKE_CONFIG_MODULE "Install CMake package configuration file" ON)
option(FDK_AAC_INSTALL_PKGCONFIG_MODULE "Install pkg-config .pc file" ON)

# Checks

## Check if math functions are in separate library (Most of Linux distros, maybe some other OSes)
check_function_exists(sin HAVE_DEFAULT_MATH)
if(NOT HAVE_DEFAULT_MATH)
  check_library_exists(m sin "" HAVE_LIBM)
endif()

# Library

## Sources

set(AACDEC_SRC
  libAACdec/src/FDK_delay.cpp
  libAACdec/src/aac_ram.cpp
  libAACdec/src/aac_rom.cpp
  libAACdec/src/aacdec_drc.cpp
  libAACdec/src/aacdec_hcr.cpp
  libAACdec/src/aacdec_hcr_bit.cpp
  libAACdec/src/aacdec_hcrs.cpp
  libAACdec/src/aacdec_pns.cpp
  libAACdec/src/aacdec_tns.cpp
  libAACdec/src/aacdecoder.cpp
  libAACdec/src/aacdecoder_lib.cpp
  libAACdec/src/block.cpp
  libAACdec/src/channel.cpp
  libAACdec/src/channelinfo.cpp
  libAACdec/src/conceal.cpp
  libAACdec/src/ldfiltbank.cpp
  libAACdec/src/pulsedata.cpp
  libAACdec/src/rvlc.cpp
  libAACdec/src/rvlcbit.cpp
  libAACdec/src/rvlcconceal.cpp
  libAACdec/src/stereo.cpp
  libAACdec/src/usacdec_ace_d4t64.cpp
  libAACdec/src/usacdec_ace_ltp.cpp
  libAACdec/src/usacdec_acelp.cpp
  libAACdec/src/usacdec_fac.cpp
  libAACdec/src/usacdec_lpc.cpp
  libAACdec/src/usacdec_lpd.cpp
  libAACdec/src/usacdec_rom.cpp
  libAACdec/src/aac_ram.h
  libAACdec/src/aac_rom.h
  libAACdec/src/aacdec_drc.h
  libAACdec/src/aacdec_drc_types.h
  libAACdec/src/aacdec_hcr.h
  libAACdec/src/aacdec_hcr_bit.h
  libAACdec/src/aacdec_hcr_types.h
  libAACdec/src/aacdec_hcrs.h
  libAACdec/src/aacdec_pns.h
  libAACdec/src/aacdec_tns.h
  libAACdec/src/aacdecoder.h
  libAACdec/src/block.h
  libAACdec/src/channel.h
  libAACdec/src/channelinfo.h
  libAACdec/src/conceal.h
  libAACdec/src/conceal_types.h
  libAACdec/src/FDK_delay.h
  libAACdec/src/ldfiltbank.h
  libAACdec/src/overlapadd.h
  libAACdec/src/pulsedata.h
  libAACdec/src/rvlc.h
  libAACdec/src/rvlc_info.h
  libAACdec/src/rvlcbit.h
  libAACdec/src/rvlcconceal.h
  libAACdec/src/stereo.h
  libAACdec/src/usacdec_ace_d4t64.h
  libAACdec/src/usacdec_ace_ltp.h
  libAACdec/src/usacdec_acelp.h
  libAACdec/src/usacdec_const.h
  libAACdec/src/usacdec_fac.h
  libAACdec/src/usacdec_lpc.h
  libAACdec/src/usacdec_lpd.h
  libAACdec/src/usacdec_rom.h)

set(AACENC_SRC
  libAACenc/src/aacEnc_ram.cpp
  libAACenc/src/aacEnc_rom.cpp
  libAACenc/src/aacenc.cpp
  libAACenc/src/aacenc_lib.cpp
  libAACenc/src/aacenc_pns.cpp
  libAACenc/src/aacenc_tns.cpp
  libAACenc/src/adj_thr.cpp
  libAACenc/src/band_nrg.cpp
  libAACenc/src/bandwidth.cpp
  libAACenc/src/bit_cnt.cpp
  libAACenc/src/bitenc.cpp
  libAACenc/src/block_switch.cpp
  libAACenc/src/channel_map.cpp
  libAACenc/src/chaosmeasure.cpp
  libAACenc/src/dyn_bits.cpp
  libAACenc/src/grp_data.cpp
  libAACenc/src/intensity.cpp
  libAACenc/src/line_pe.cpp
  libAACenc/src/metadata_compressor.cpp
  libAACenc/src/metadata_main.cpp
  libAACenc/src/mps_main.cpp
  libAACenc/src/ms_stereo.cpp
  libAACenc/src/noisedet.cpp
  libAACenc/src/pnsparam.cpp
  libAACenc/src/pre_echo_control.cpp
  libAACenc/src/psy_configuration.cpp
  libAACenc/src/psy_main.cpp
  libAACenc/src/qc_main.cpp
  libAACenc/src/quantize.cpp
  libAACenc/src/sf_estim.cpp
  libAACenc/src/spreading.cpp
  libAACenc/src/tonality.cpp
  libAACenc/src/transform.cpp
  libAACenc/src/aacenc.h
  libAACenc/src/aacenc_pns.h
  libAACenc/src/aacEnc_ram.h
  libAACenc/src/aacEnc_rom.h
  libAACenc/src/aacenc_tns.h
  libAACenc/src/adj_thr.h
  libAACenc/src/adj_thr_data.h
  libAACenc/src/band_nrg.h
  libAACenc/src/bandwidth.h
  libAACenc/src/bit_cnt.h
  libAACenc/src/bitenc.h
  libAACenc/src/block_switch.h
  libAACenc/src/channel_map.h
  libAACenc/src/chaosmeasure.h
  libAACenc/src/dyn_bits.h
  libAACenc/src/grp_data.h
  libAACenc/src/intensity.h
  libAACenc/src/interface.h
  libAACenc/src/line_pe.h
  libAACenc/src/metadata_compressor.h
  libAACenc/src/metadata_main.h
  libAACenc/src/mps_main.h
  libAACenc/src/ms_stereo.h
  libAACenc/src/noisedet.h
  libAACenc/src/pns_func.h
  libAACenc/src/pnsparam.h
  libAACenc/src/pre_echo_control.h
  libAACenc/src/psy_configuration.h
  libAACenc/src/psy_const.h
  libAACenc/src/psy_data.h
  libAACenc/src/psy_main.h
  libAACenc/src/qc_data.h
  libAACenc/src/qc_main.h
  libAACenc/src/quantize.h
  libAACenc/src/sf_estim.h
  libAACenc/src/spreading.h
  libAACenc/src/tns_func.h
  libAACenc/src/tonality.h
  libAACenc/src/transform.h)

set(ARITHCODING_SRC
  libArithCoding/src/ac_arith_coder.cpp)

set(DRCDEC_SRC
  libDRCdec/src/FDK_drcDecLib.cpp
  libDRCdec/src/drcDec_gainDecoder.cpp
  libDRCdec/src/drcDec_reader.cpp
  libDRCdec/src/drcDec_rom.cpp
  libDRCdec/src/drcDec_selectionProcess.cpp
  libDRCdec/src/drcDec_tools.cpp
  libDRCdec/src/drcGainDec_init.cpp
  libDRCdec/src/drcGainDec_preprocess.cpp
  libDRCdec/src/drcGainDec_process.cpp
  libDRCdec/src/drcDec_gainDecoder.h
  libDRCdec/src/drcDec_reader.h
  libDRCdec/src/drcDec_rom.h
  libDRCdec/src/drcDec_selectionProcess.h
  libDRCdec/src/drcDec_tools.h
  libDRCdec/src/drcDec_types.h
  libDRCdec/src/drcDecoder.h
  libDRCdec/src/drcGainDec_init.h
  libDRCdec/src/drcGainDec_preprocess.h
  libDRCdec/src/drcGainDec_process.h)

set(FDK_SRC
  libFDK/src/FDK_bitbuffer.cpp
  libFDK/src/FDK_core.cpp
  libFDK/src/FDK_crc.cpp
  libFDK/src/FDK_decorrelate.cpp
  libFDK/src/FDK_hybrid.cpp
  libFDK/src/FDK_lpc.cpp
  libFDK/src/FDK_matrixCalloc.cpp
  libFDK/src/FDK_qmf_domain.cpp
  libFDK/src/FDK_tools_rom.cpp
  libFDK/src/FDK_trigFcts.cpp
  libFDK/src/autocorr2nd.cpp
  libFDK/src/dct.cpp
  libFDK/src/fft.cpp
  libFDK/src/fft_rad2.cpp
  libFDK/src/fixpoint_math.cpp
  libFDK/src/huff_nodes.cpp
  libFDK/src/mdct.cpp
  libFDK/src/nlc_dec.cpp
  libFDK/src/qmf.cpp
  libFDK/src/scale.cpp)

set(MPEGTPDEC_SRC
  libMpegTPDec/src/tpdec_adif.cpp
  libMpegTPDec/src/tpdec_adts.cpp
  libMpegTPDec/src/tpdec_asc.cpp
  libMpegTPDec/src/tpdec_drm.cpp
  libMpegTPDec/src/tpdec_latm.cpp
  libMpegTPDec/src/tpdec_lib.cpp
  libMpegTPDec/src/tp_version.h
  libMpegTPDec/src/tpdec_adif.h
  libMpegTPDec/src/tpdec_adts.h
  libMpegTPDec/src/tpdec_drm.h
  libMpegTPDec/src/tpdec_latm.h)

set(MPEGTPENC_SRC
  libMpegTPEnc/src/tpenc_adif.cpp
  libMpegTPEnc/src/tpenc_adts.cpp
  libMpegTPEnc/src/tpenc_asc.cpp
  libMpegTPEnc/src/tpenc_latm.cpp
  libMpegTPEnc/src/tpenc_lib.cpp
  libMpegTPEnc/src/tp_version.h
  libMpegTPEnc/src/tpenc_adif.h
  libMpegTPEnc/src/tpenc_adts.h
  libMpegTPEnc/src/tpenc_asc.h
  libMpegTPEnc/src/tpenc_latm.h)

set(PCMUTILS_SRC
  libPCMutils/src/limiter.cpp
  libPCMutils/src/pcm_utils.cpp
  libPCMutils/src/pcmdmx_lib.cpp
  libPCMutils/src/version.h)

set(SACDEC_SRC
  libSACdec/src/sac_bitdec.cpp
  libSACdec/src/sac_calcM1andM2.cpp
  libSACdec/src/sac_dec.cpp
  libSACdec/src/sac_dec_conceal.cpp
  libSACdec/src/sac_dec_lib.cpp
  libSACdec/src/sac_process.cpp
  libSACdec/src/sac_qmf.cpp
  libSACdec/src/sac_reshapeBBEnv.cpp
  libSACdec/src/sac_rom.cpp
  libSACdec/src/sac_smoothing.cpp
  libSACdec/src/sac_stp.cpp
  libSACdec/src/sac_tsd.cpp
  libSACdec/src/sac_bitdec.h
  libSACdec/src/sac_calcM1andM2.h
  libSACdec/src/sac_dec.h
  libSACdec/src/sac_dec_conceal.h
  libSACdec/src/sac_dec_interface.h
  libSACdec/src/sac_dec_ssc_struct.h
  libSACdec/src/sac_process.h
  libSACdec/src/sac_qmf.h
  libSACdec/src/sac_reshapeBBEnv.h
  libSACdec/src/sac_rom.h
  libSACdec/src/sac_smoothing.h
  libSACdec/src/sac_stp.h
  libSACdec/src/sac_tsd.h)

set(SACENC_SRC
  libSACenc/src/sacenc_bitstream.cpp
  libSACenc/src/sacenc_delay.cpp
  libSACenc/src/sacenc_dmx_tdom_enh.cpp
  libSACenc/src/sacenc_filter.cpp
  libSACenc/src/sacenc_framewindowing.cpp
  libSACenc/src/sacenc_huff_tab.cpp
  libSACenc/src/sacenc_lib.cpp
  libSACenc/src/sacenc_nlc_enc.cpp
  libSACenc/src/sacenc_onsetdetect.cpp
  libSACenc/src/sacenc_paramextract.cpp
  libSACenc/src/sacenc_staticgain.cpp
  libSACenc/src/sacenc_tree.cpp
  libSACenc/src/sacenc_vectorfunctions.cpp
  libSACenc/src/sacenc_bitstream.h
  libSACenc/src/sacenc_const.h
  libSACenc/src/sacenc_delay.h
  libSACenc/src/sacenc_dmx_tdom_enh.h
  libSACenc/src/sacenc_filter.h
  libSACenc/src/sacenc_framewindowing.h
  libSACenc/src/sacenc_huff_tab.h
  libSACenc/src/sacenc_nlc_enc.h
  libSACenc/src/sacenc_onsetdetect.h
  libSACenc/src/sacenc_paramextract.h
  libSACenc/src/sacenc_staticgain.h
  libSACenc/src/sacenc_tree.h
  libSACenc/src/sacenc_vectorfunctions.h)

set(SBRDEC_SRC
  libSBRdec/src/HFgen_preFlat.cpp
  libSBRdec/src/env_calc.cpp
  libSBRdec/src/env_dec.cpp
  libSBRdec/src/env_extr.cpp
  libSBRdec/src/hbe.cpp
  libSBRdec/src/huff_dec.cpp
  libSBRdec/src/lpp_tran.cpp
  libSBRdec/src/psbitdec.cpp
  libSBRdec/src/psdec.cpp
  libSBRdec/src/psdec_drm.cpp
  libSBRdec/src/psdecrom_drm.cpp
  libSBRdec/src/pvc_dec.cpp
  libSBRdec/src/sbr_deb.cpp
  libSBRdec/src/sbr_dec.cpp
  libSBRdec/src/sbr_ram.cpp
  libSBRdec/src/sbr_rom.cpp
  libSBRdec/src/sbrdec_drc.cpp
  libSBRdec/src/sbrdec_freq_sca.cpp
  libSBRdec/src/sbrdecoder.cpp
  libSBRdec/src/env_calc.h
  libSBRdec/src/env_dec.h
  libSBRdec/src/env_extr.h
  libSBRdec/src/hbe.h
  libSBRdec/src/HFgen_preFlat.h
  libSBRdec/src/huff_dec.h
  libSBRdec/src/lpp_tran.h
  libSBRdec/src/psbitdec.h
  libSBRdec/src/psdec.h
  libSBRdec/src/psdec_drm.h
  libSBRdec/src/pvc_dec.h
  libSBRdec/src/sbr_deb.h
  libSBRdec/src/sbr_dec.h
  libSBRdec/src/sbr_ram.h
  libSBRdec/src/sbr_rom.h
  libSBRdec/src/sbrdec_drc.h
  libSBRdec/src/sbrdec_freq_sca.h
  libSBRdec/src/transcendent.h)

set(SBRENC_SRC
  libSBRenc/src/bit_sbr.cpp
  libSBRenc/src/code_env.cpp
  libSBRenc/src/env_bit.cpp
  libSBRenc/src/env_est.cpp
  libSBRenc/src/fram_gen.cpp
  libSBRenc/src/invf_est.cpp
  libSBRenc/src/mh_det.cpp
  libSBRenc/src/nf_est.cpp
  libSBRenc/src/ps_bitenc.cpp
  libSBRenc/src/ps_encode.cpp
  libSBRenc/src/ps_main.cpp
  libSBRenc/src/resampler.cpp
  libSBRenc/src/sbr_encoder.cpp
  libSBRenc/src/sbr_misc.cpp
  libSBRenc/src/sbrenc_freq_sca.cpp
  libSBRenc/src/sbrenc_ram.cpp
  libSBRenc/src/sbrenc_rom.cpp
  libSBRenc/src/ton_corr.cpp
  libSBRenc/src/tran_det.cpp
  libSBRenc/src/bit_sbr.h
  libSBRenc/src/cmondata.h
  libSBRenc/src/code_env.h
  libSBRenc/src/env_bit.h
  libSBRenc/src/env_est.h
  libSBRenc/src/fram_gen.h
  libSBRenc/src/invf_est.h
  libSBRenc/src/mh_det.h

=== debian/changelog ===
fdk-aac (2.0.2-1~bpo10+1) buster; urgency=medium

  * backport to buster

 -- Marc Leeman <m.leeman@televic.com>  Wed, 15 Dec 2021 14:41:11 +0100

fdk-aac (2.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Sep 2021 00:20:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: non-free/libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Romain Beauxis <toots@rastageeks.org>
+Uploaders: Romain Beauxis <toots@rastageeks.org>,
+            Marc Leeman <m.leeman@televic.com>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
+Build-Depends: debhelper ( >= 10)
 Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes

## fdk-aac 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
   cmake_policy(SET CMP0091 NEW)
 endif()
 
-project(fdk-aac VERSION 2.0.2)
+project(fdk-aac VERSION 2.0.3)
 
 # Includes
 
@@ -62,7 +62,7 @@
 # Options
 
 option(BUILD_SHARED_LIBS "Build shared library" ON)
-option(BUILD_PROGRAMS "Build aac-enc utility" OFF)
+option(BUILD_PROGRAMS "Build extra utilities" OFF)
 option(FDK_AAC_INSTALL_CMAKE_CONFIG_MODULE "Install CMake package configuration file" ON)
 option(FDK_AAC_INSTALL_PKGCONFIG_MODULE "Install pkg-config .pc file" ON)

=== debian/changelog ===
fdk-aac (2.0.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/watch: look for tags not "releases"

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Fabian Greffrath ]
  * New upstream version 2.0.3
  * Add myself to Uploaders
  * Bump debian/watch file standard to 4
  * Add myself to Debian packaging copyright holders
  * Add the FSF's stance on the FDK AAC license as a disclaimer to the
    debian/copyright file
  * Add patch description to d/p/add_more_arch
  * Forward patch to upstream
  * Bump Standards-Version to 4.7.1
  * Upload to unstable

 -- Fabian Greffrath <fabian@debian.org>  Fri, 28 Feb 2025 11:36:48 +0100

fdk-aac (2.0.2-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 22:36:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Romain Beauxis <toots@rastageeks.org>,
-            Marc Leeman <m.leeman@televic.com>
+ Fabian Greffrath <fabian@debian.org>
 Homepage: https://github.com/mstorsjo/fdk-aac
-Standards-Version: 4.3.0
-Build-Depends: debhelper ( >= 10)
+Standards-Version: 4.7.1
+Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/multimedia-team/fdk-aac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/fdk-aac
 XS-Autobuild: yes
 Rules-Requires-Root: no
 
-Package: libfdk-aac2
+Package: libfdk-aac2t64
+Provides: ${t64:Provides}
+Replaces: libfdk-aac2
+Breaks: libfdk-aac2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -30,7 +33,7 @@
 Multi-Arch: same
 Section: non-free/libdevel
 Depends:
- libfdk-aac2 (= ${binary:Version}),
+ libfdk-aac2t64 (= ${binary:Version}),
  pkg-config,
  ${misc:Depends}
 Description: Fraunhofer FDK AAC Codec Library - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-example

=== debian/watch ===
version=4
https://github.com/mstorsjo/fdk-aac/tags \
.*[^n]/(?:|v|r|REL_|rel-|fdk-aac(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
